# InputHandler Class Reference

`#include <InputHandler.h>`

Inheritance diagram for InputHandler:

List of all members.

## Public Member Functions
| InputHandler ()
| ~InputHandler ()
void | Update ()
bool | IsKeyDown (const eInputKey &key)
## Static Public Member Functions
static InputHandler * | getSingleton ()
static void | deleteSingleton ()
## Protected Member Functions
void | RegisterKeyValue (const eInputKey &key, const bool &bIsDown)
## Protected Attributes
bool | m_keyArray [eNumInputKeys]
## Static Protected Attributes
static InputHandler * | m_pInstance = NULL

## Detailed Description

Definition at line 33 of file InputHandler.h.

## Constructor & Destructor Documentation

InputHandler::InputHandler | ( |  | ) |

Definition at line 21 of file InputHandler.cpp.

InputHandler::~InputHandler | ( |  | ) |

Definition at line 30 of file InputHandler.cpp.

## Member Function Documentation

static void TSingleton< InputHandler >::deleteSingleton | ( |  | ) | `[inline, static, inherited]`

Definition at line 22 of file TSingleton.h.

static InputHandler * TSingleton< InputHandler >::getSingleton | ( |  | ) | `[inline, static, inherited]`

Definition at line 15 of file TSingleton.h.

bool InputHandler::IsKeyDown | ( | const eInputKey & | key | ) |

Definition at line 161 of file InputHandler.cpp.

void InputHandler::RegisterKeyValue | ( | const eInputKey & | key,
|  | const bool & | bIsDown |
| ) |  |  | `[protected]`

Definition at line 183 of file InputHandler.cpp.

void InputHandler::Update | ( |  | ) |

Definition at line 35 of file InputHandler.cpp.

## Member Data Documentation

bool InputHandler::m_keyArray[eNumInputKeys]`[protected]`

Definition at line 53 of file InputHandler.h.

InputHandler * TSingleton< InputHandler >::m_pInstance = NULL`[inline, static, protected, inherited]`

Definition at line 29 of file TSingleton.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/InputHandler.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/InputHandler.cpp